package com.bonus.canteen.core.allocation.canteen.vo;

import com.bonus.canteen.core.common.encrypt.LeNiuDecryptDataProcess;
import com.bonus.canteen.core.common.encrypt.LeNiuDecryptField;
import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("餐线VO")
@LeNiuDecryptDataProcess
public class AllocMealLineVO {
   @ApiModelProperty("餐线id")
   private Long mealLineId;
   @ApiModelProperty("餐线编号")
   private String mealLineNum;
   @ApiModelProperty("餐线名称")
   private String mealLineName;
   @ApiModelProperty("餐线图片链接")
   private String imgUrl;
   @ApiModelProperty("餐线类型")
   private Integer mealLineType;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("当前区域名称")
   private String areaName;
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("档口id")
   private Long stallId;
   @ApiModelProperty("档口名称")
   private String stallName;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("人员姓名")
   @LeNiuDecryptField
   private String custName;
   @ApiModelProperty("联系电话")
   private String contactTel;

   public String getImgUrl() {
      return SysUtil.getCutFileUrl(this.imgUrl);
   }

   public Long getMealLineId() {
      return this.mealLineId;
   }

   public String getMealLineNum() {
      return this.mealLineNum;
   }

   public String getMealLineName() {
      return this.mealLineName;
   }

   public Integer getMealLineType() {
      return this.mealLineType;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public String getStallName() {
      return this.stallName;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getCustName() {
      return this.custName;
   }

   public String getContactTel() {
      return this.contactTel;
   }

   public void setMealLineId(final Long mealLineId) {
      this.mealLineId = mealLineId;
   }

   public void setMealLineNum(final String mealLineNum) {
      this.mealLineNum = mealLineNum;
   }

   public void setMealLineName(final String mealLineName) {
      this.mealLineName = mealLineName;
   }

   public void setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
   }

   public void setMealLineType(final Integer mealLineType) {
      this.mealLineType = mealLineType;
   }

   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public void setStallName(final String stallName) {
      this.stallName = stallName;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setCustName(final String custName) {
      this.custName = custName;
   }

   public void setContactTel(final String contactTel) {
      this.contactTel = contactTel;
   }
}
